<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="/">
<HTML>
	<HEAD>
		<B>񍐏Ǘt@CiJSt@CjiREP_JS.XMLj</B>
		<hr/>
		<TITLE>񍐏Ǘt@CiJSt@CjiREP_JS.XMLj</TITLE>
		<STYLE type="text/css">
			td {font-size: 10pt;}
			th {font-size: 10pt; background-color: LightCyan}
			.subtitle {background-color: RoyalBlue; font-weight: bold; color: white}
			.subsubtitle {background-color: PaleTurquoise; font-weight: bold; color: black}
			.subsubsubtitle {background-color: LightCyan; font-weight: bold; color: black}
		</STYLE>
	</HEAD>
	<BODY>
		<xsl:apply-templates/>
	</BODY>
</HTML>
<P/>

</xsl:template>

<xsl:template match="݌vʕ[1]">
	<table border="1" cellspacing="0" cellpadding="4">
	<font size="+1">

		<xsl:for-each select="../\tg[JpTAG">
			<xsl:variable name="cnt" select="count(../\tg[JpTAG)"/>
			<xsl:if test="$cnt=0"><td colspan="1"><xsl:call-template name="elm-empty"/></td></xsl:if>
			<xsl:if test="$cnt!=0">
				<tr>
				<xsl:if test="position()=1">
					<td rowspan="{$cnt}" colspan="1" class="subtitle"><xsl:value-of select="name()"/></td>
				</xsl:if>
				<td><xsl:value-of select="."/></td>
				</tr>
			</xsl:if>
		</xsl:for-each>

	</font>
	</table>

	<br/>

	<table border="1" cellspacing="0" cellpadding="4">
	<font size="+1">

		<xsl:call-template name="createheader"/>

		<xsl:for-each select="../݌vʕ">
			<xsl:call-template name="main"/>
		</xsl:for-each>


	</font>
	</table>

</xsl:template>

<xsl:template match="݌vʕ[position()!=1]"/>

<xsl:template name="createheader">
	<td colspan="3" class="subtitle"><xsl:value-of select="name()"/></td>
	<tr>
	<th>hLg</th>
	<th>{݌vʕԍ</th>
	<th>ot@C</th>
	</tr>
</xsl:template>

<xsl:template match="\tg[JpTAG"/>

<xsl:template name="main">

	<xsl:variable name="orgfileinfocnt" select="count(݌vʕ)"/>
	<tr>
	<xsl:if test="count(hLg)=0">
		<td rowspan="{$orgfileinfocnt}"><xsl:call-template name="elm-empty"/></td>
	</xsl:if>
	<xsl:if test="count(hLg)!=0">
		<td rowspan="{$orgfileinfocnt}"><xsl:for-each select="hLg"><xsl:call-template name="textdata"/></xsl:for-each></td>
	</xsl:if>
	<xsl:if test="count({݌vʕԍ)=0">
		<td rowspan="{$orgfileinfocnt}"><xsl:call-template name="elm-empty"/></td>
	</xsl:if>
	<xsl:if test="count({݌vʕԍ)!=0">
		<td rowspan="{$orgfileinfocnt}"><xsl:for-each select="{݌vʕԍ"><xsl:call-template name="textdata"/></xsl:for-each></td>
	</xsl:if>
	<xsl:if test="count(ot@C)=0">
		<td rowspan="{$orgfileinfocnt}"><xsl:call-template name="elm-empty"/></td>
	</xsl:if>
	<xsl:if test="count(ot@C)!=0">
		<td rowspan="{$orgfileinfocnt}">
		    <xsl:for-each select="ot@C">
				<xsl:variable name="char-cnt" select="string-length()"/>
				<xsl:if test="$char-cnt=0"><xsl:call-template name="elm-empty"/></xsl:if>
				<xsl:if test="$char-cnt!=0">
					<a><xsl:attribute name="href">
						.\<xsl:value-of select="text()"/>
						</xsl:attribute><xsl:value-of select="text()"/>
					</a>
				</xsl:if>		    </xsl:for-each>
		</td>
	</xsl:if>
	</tr>

</xsl:template>

<xsl:template name="textdata">
	<xsl:variable name="char-cnt" select="string-length()"/>
	<xsl:if test="$char-cnt=0"><xsl:call-template name="elm-empty"/></xsl:if>
	<xsl:if test="$char-cnt!=0"><xsl:apply-templates/></xsl:if>
</xsl:template>

<xsl:template name="elm-empty">
	<xsl:text><!--̃Xy[X}܂B-->@</xsl:text>
</xsl:template>

</xsl:stylesheet>